syntax = "proto3";
option go_package = ".;pb";

message DBLibrary {
  string id = 1;               //@go_tags(`bson:"_id"`) ID
  string uid = 2;              //@go_tags(`bson:"uid"`) 用户ID
  int32 fid = 3;               // 配置表id 羁绊id
  map<string, string> herofetter = 4; // key: hid value: DBHeroFetter ObjID
  map<int32, int32> prize = 5; //是否领奖  key 好感度等级
  int32 storyid = 6;           // 故事id 用来判断是否领奖
  int32 fidlv = 7;         // 羁绊领奖等级

}

// 羁绊英雄数据
message DBHeroFetter {
  string id = 1;                 //@go_tags(`bson:"_id"`) ID
  string uid = 2;                //@go_tags(`bson:"uid"`) 用户ID
  string heroid = 3;             // 英雄配置表id
  repeated int32 history = 4;    // 传记往事ID
  int32 favorlv = 5;             // 好感度等级
  int32 favorexp = 6;            // 好感度经验

  map<int32, int32> lvprize = 8;    // 等级奖励
  int32 givecount = 9; // 赠送次数
  int64 ctime = 10; // 送礼物时间
}

//羁绊剧情
message DBFetterstory {
  string id = 1;  //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  map<int32, FetterTasks> feeterTask =
      3; //@go_tags(`bson:"feeterTask"`) 已开启的羁绊任务 key:羁绊ID
}

message FetterTasks { repeated int32 tasks = 1; }

// 羁绊任务
message FetterTask {
  int32 taskId = 1; //@go_tags(`bson:"taskId"`) 任务Id
  int32 status = 2; //@go_tags(`bson:"status"`) 状态 0锁定 1已完成
}